/// <reference types="react" />
import { AxiosInstance } from 'axios';
export declare type IAxiosClients = {
    [name: string]: AxiosInstance;
};
export declare const AxiosClientsContext: import("react").Context<AxiosClientsManager>;
export declare class AxiosClientsManager {
    clients: IAxiosClients;
    constructor(clients: IAxiosClients);
    getClient(key?: string): AxiosInstance;
}
export declare function useContextAxiosClient(clientOrName: string | AxiosInstance): AxiosInstance;
